%if %%activer_log_distant == 'oui' and %%activer_envoi_logs == 'oui' and %%envoyer_tous_logs == 'oui'

$WorkDirectory /var/log/rsyslog/queues
$ActionQueueType LinkedList
  %if %%utiliser_rsyslog_plage_envoi_globale == 'oui' and %%rsyslog_plage_globale_heure_debut != '' and %%rsyslog_plage_globale_heure_fin != ''
$ActionQueueSize 10000
$ActionQueueDequeueTimeBegin %%rsyslog_plage_globale_heure_debut
$ActionQueueDequeueTimeEnd %%rsyslog_plage_globale_heure_fin
  %end if
$ActionQueueFileName send_all
$ActionQueueSaveOnShutdown on

  %if %%rsyslog_envoi_tls == 'oui'
$DefaultNetStreamDriver gtls
$DefaultNetstreamDriverCAFile %%rsyslog_ca_file

$ActionSendStreamDriverAuthMode anon
$IncludeConfig /etc/rsyslog.d/outgoing_peers/*.peers
$ActionSendStreamDriverMode 1
*.* @@%%adresse_ip_serveur_logs:10514
  %else
*.* :omrelp:%%adresse_ip_serveur_logs:20514
  %end if

%else
# Cette machine n'est pas configurée pour transmettre ses logs en globalité à une machine distante.
%end if
